Skip to main content

Get a role by external ID

GET 

/nevisidm/api/core/v1/roles/:extId

Since: 2.71.0

Required permission(s): AccessControl.RoleView

Returns the role matching the specified external ID, including the name and external ID of its parent application.

Request

Path Parameters

    extId stringrequired

    External ID of the role.

    Example: role-123

Responses

Role found

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the role.

    applicationExtId string

    The external ID of the application the role belongs to.

    applicationName string

    The name of the application the role belongs to.

    name string

    The name of the role.

    description string

    The textual description of the role.

Loading...